%define real_name iperf

Name:           iperf3_64
Version:        3.8
Release:        1
Summary:        Measurement tool for TCP/UDP bandwidth performance
License:        BSD
Group:          Applications/Internet
URL:            http://github.com/esnet/iperf
Source0:        http://downloads.es.net/pub/iperf/%{real_name}-%{version}.tar.gz
Patch0:         %{real_name}3-%{version}-aix.patch
Patch1:         %{real_name}3-%{version}-no-berok.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  patch
BuildRequires:  AIX-rpm >= 5.2.0.0
BuildRequires:  openssl-devel >= 1.0.2u
Requires:       AIX-rpm >= 5.2.0.0
Requires:       openssl >= 1.0.2u

%description
Iperf is a tool to measure maximum TCP bandwidth, allowing the tuning of
various parameters and UDP characteristics. Iperf reports bandwidth, delay
jitter, data-gram loss.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{real_name}-%{version}
%patch0
%patch1


%build
export OBJECT_MODE=64
export CC=xlc_r
export CFLAGS="-O3 -qstrict"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make %{?_smp_mflags}


%install
export OBJECT_MODE=64

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README.md LICENSE RELNOTES.md
%{_bindir}/*
%{_libdir}/*.a
%{_mandir}/man1/*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_mandir}/man3/*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Jul 20 2020 Michael Perzl <michael@perzl.org> - 3.8-1
- updated to version 3.8

* Sun Jun 23 2019 Michael Perzl <michael@perzl.org> - 3.7-1
- updated to version 3.7

* Thu Aug 16 2018 Michael Perzl <michael@perzl.org> - 3.6-1
- updated to version 3.6

* Thu Apr 26 2018 Michael Perzl <michael@perzl.org> - 3.5-1
- updated to version 3.5

* Thu Apr 26 2018 Michael Perzl <michael@perzl.org> - 3.4-1
- updated to version 3.4

* Wed Nov 08 2017 Michael Perzl <michael@perzl.org> - 3.3-1
- updated to version 3.3

* Fri Oct 13 2017 Michael Perzl <michael@perzl.org> - 3.2-1
- updated to version 3.2

* Fri Oct 13 2017 Michael Perzl <michael@perzl.org> - 3.1.7-1
- updated to version 3.1.7

* Fri Oct 13 2017 Michael Perzl <michael@perzl.org> - 3.1.6-1
- updated to version 3.1.6

* Mon Jan 16 2017 Michael Perzl <michael@perzl.org> - 3.1.5-1
- updated to version 3.1.5

* Fri Nov 18 2016 Michael Perzl <michael@perzl.org> - 3.1.4-1
- updated to version 3.1.4

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 3.1.3-1
- updated to version 3.1.3

* Mon May 23 2016 Michael Perzl <michael@perzl.org> - 3.1.2-1
- First version for AIX5L V5.1 and higher
